DemoQA AIDocs
API ReferenceVideo

Создать video job

Ключ используется браузером напрямую и сохраняется только для текущей вкладки.
POST
/videos

Authorization

bearerAuth
AuthorizationBearer <token>

Ключ вида dqa_live_... из раздела API-ключей DemoQA AI.

In: header

Header Parameters

Idempotency-Key?string

Устойчивый уникальный ключ одного логического billable-запроса.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/videos" \  -H "Idempotency-Key: 42dc6f91-e882-4e79-91af-b7bef0458887" \  -H "Content-Type: application/json" \  -d '{    "model": "video-model-id",    "prompt": "Анимация прохождения UI smoke test",    "duration": 5  }'
{  "id": "string",  "object": "string",  "status": "queued",  "model": "string",  "progress": 0,  "created_at": 0,  "completed_at": 0,  "error": {    "error": {      "message": "string",      "type": "string",      "param": "string",      "code": "string"    }  },  "content_url": "../dictionary"}